Subject: bug#39813: closed (Re: bug#39813: Running Guix in a Virtual Machine - says 1 GB RAM is enough, but it isn't for guix pull)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Jul 2022 14:02:02 +0000

Your bug report

#39813: Running Guix in a Virtual Machine - says 1 GB RAM is enough, but it isn't for guix pull

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39813: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39813
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39813: Running Guix in a Virtual Machine - says 1 GB RAM is enough, but it isn't for guix pull
From: Maxim Cournoyer <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Jul 2022 10:00:56 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Danny,

Danny Milosavljevic <[email-masked]> writes:

> Hi,
>
> I just got a report that with Guix in a virtual Machine (like described in the
> manual in 8.16), guix pull does not actually work[1] with 1 GB of RAM.
> It does work fine with 4 GB of RAM.

I don't see any reference of 1 GiB being enough in our current version
of the manual.  If you do, please let me know.

Closing for now.

Thanks,

Maxim

Subject: Running Guix in a Virtual Machine - says 1 GB RAM is enough, but it isn't for guix pull
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Thu, 27 Feb 2020 21:06:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I just got a report that with Guix in a virtual Machine (like described in the
manual in 8.16), guix pull does not actually work[1] with 1 GB of RAM.
It does work fine with 4 GB of RAM.

[1] build .....guix-packages-base.drv failed